services:
  _defaults:
    autowire: true
    autoconfigure: true

  con4gis\ReservationBundle\Controller\C4gReservationController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservation }

  con4gis\ReservationBundle\Controller\C4gReservationCancellationController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationCancellation }

  con4gis\ReservationBundle\Controller\C4gReservationListController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationList }

  con4gis\ReservationBundle\Controller\C4gReservationAddressListController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationAddressList }

  con4gis\ReservationBundle\Controller\C4gReservationSpeakerListController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationSpeakerList }

  con4gis\ReservationBundle\Controller\C4gReservationLocationListController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationLocationList }

  con4gis\ReservationBundle\Controller\C4gReservationObjectsController:
    arguments:
      - '%kernel.project_dir%'
      - "@session"
      - "@contao.framework"
    public: true
    tags:
      - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationObjects }